// libc++ is compiled with the abi of libstdc++ and doesn't come with a cxxabi.h
// The symbols however are available and can be forwarded, as it's used by
// googletest and boost.

#ifdef __cplusplus
namespace __cxxabiv1 {
extern "C" {
#endif

char *__cxa_demangle(const char *, char *, size_t *, int *);

#ifdef __cplusplus
}
} // namespace __cxxabiv1
#endif

namespace abi {
using __cxxabiv1::__cxa_demangle;
}
